package com.example.tdl.service;


import com.example.tdl.domain.vo.LoginLogTermVo;
import com.example.tdl.domain.vo.ResultLoginLogVo;
import com.example.tdl.entity.LoginLog;
import com.example.tdl.mapper.LoginLogMapper;
import com.example.tdl.mapper.RoleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class LoginLogService {
    @Autowired
    private LoginLogMapper loginLogMapper;

    public List<ResultLoginLogVo> getAll(String companyName){
        return loginLogMapper.getAll(companyName);
    }

    public int addLoginLog(LoginLog loginLog){
        return loginLogMapper.addLoginLog(loginLog);
    }

    public List<ResultLoginLogVo> getByTime(Long startTime,Long stopTime,String companyName){
        return loginLogMapper.getByTime(startTime,stopTime,companyName);
    }
}
